package com.fs.company.service;

import com.fs.company.domain.CompanyConfig;

import java.util.List;

/**
 * 参数配置Service接口
 *
 * @author fs
 * @date 2021-05-25
 */
public interface ICompanyConfigService
{
    /**
     * 查询参数配置
     *
     * @param configId 参数配置ID
     * @return 参数配置
     */
    public CompanyConfig selectCompanyConfigById(Integer configId);

    /**
     * 查询参数配置列表
     *
     * @param companyConfig 参数配置
     * @return 参数配置集合
     */
    public List<CompanyConfig> selectCompanyConfigList(CompanyConfig companyConfig);

    /**
     * 新增参数配置
     *
     * @param companyConfig 参数配置
     * @return 结果
     */
    public int insertCompanyConfig(CompanyConfig companyConfig);

    /**
     * 修改参数配置
     *
     * @param companyConfig 参数配置
     * @return 结果
     */
    public int updateCompanyConfig(CompanyConfig companyConfig);

    /**
     * 批量删除参数配置
     *
     * @param configIds 需要删除的参数配置ID
     * @return 结果
     */
    public int deleteCompanyConfigByIds(Integer[] configIds);

    /**
     * 删除参数配置信息
     *
     * @param configId 参数配置ID
     * @return 结果
     */
    public int deleteCompanyConfigById(Integer configId);

    CompanyConfig selectCompanyConfigByKey(Long companyId, String key);

    String selectCompanyConfigByKey(String key);

    String selectConfigByKey(String configKey);

    CompanyConfig selectCompanyConfigByServerKey(String key);
}
